org.eclipse.emf.cdo.common

## Interface CDOCommonSession.Options.PassiveUpdateEvent

- All Superinterfaces:
    IEvent, IOptionsEvent
  Enclosing interface:
    CDOCommonSession.Options

      public static interface CDOCommonSession.Options.PassiveUpdateEvent
      extends IOptionsEvent

  An `options event` fired when the `passive update mode` of a CDO session has changed.
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getNewEnabled()`
    `CDOCommonSession.Options.PassiveUpdateMode` | `getNewMode()`
    `boolean` | `getOldEnabled()`
    `CDOCommonSession.Options.PassiveUpdateMode` | `getOldMode()`

    - ### Methods inherited from interface org.eclipse.net4j.util.options.IOptionsEvent

      `getSource`

- - ### Method Detail

    - #### getOldEnabled

          boolean getOldEnabled()

    - #### getNewEnabled

          boolean getNewEnabled()

    - #### getOldMode

          CDOCommonSession.Options.PassiveUpdateMode getOldMode()

    - #### getNewMode

          CDOCommonSession.Options.PassiveUpdateMode getNewMode()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html